JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
AudioPlayHead::TimeSignature Struct Reference
juce_audio_basics » audio_play_head

Describes a musical time signature. More...

`#include <juce_AudioPlayHead.h>`

## Public Member Functions
bool | operator== (const TimeSignature &other) const
bool | operator!= (const TimeSignature &other) const

## Public Attributes
int | numerator = 4
| Time signature numerator, e.g.
int | denominator = 4
| Time signature denominator, e.g.

## Detailed Description

Describes a musical time signature.

See also
  PositionInfo::getTimeSignature() PositionInfo::setTimeSignature()

## Member Function Documentation

## ◆ operator==()

bool AudioPlayHead::TimeSignature::operator== | ( | const TimeSignature & | other | ) | const

References x.

## ◆ operator!=()

bool AudioPlayHead::TimeSignature::operator!= | ( | const TimeSignature & | other | ) | const

References operator==().

## Member Data Documentation

## ◆ numerator

int AudioPlayHead::TimeSignature::numerator = 4

Time signature numerator, e.g.

the 3 of a 3/4 time sig

## ◆ denominator

int AudioPlayHead::TimeSignature::denominator = 4

Time signature denominator, e.g.

the 4 of a 3/4 time sig

The documentation for this struct was generated from the following file:

- juce_AudioPlayHead.h